- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# foreman – Sends events to Foreman

- Synopsis
- Requirements
- Parameters
- Status

## Synopsis

- This callback will report facts and task events to Foreman https://theforeman.org/
- Before 2.4, if you wanted to use an ini configuration, the file must be placed in the same directory as this plugin and named foreman.ini
- In 2.4 and above you can just put it in the main Ansible configuration file.

## Requirements

The below requirements are needed on the local master node that executes this callback.

- whitelisting in configuration
- requests (python library)

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
client_cert - | Default: "/etc/foreman/client_cert.pem" | ini entries: [callback_foreman] ssl_cert = /etc/foreman/client_cert.pem [callback_foreman] client_cert = /etc/foreman/client_cert.pem env:FOREMAN_SSL_CERT | X509 certificate to authenticate to Foreman if https is used aliases: ssl_cert
client_key - | Default: "/etc/foreman/client_key.pem" | ini entries: [callback_foreman] ssl_key = /etc/foreman/client_key.pem [callback_foreman] client_key = /etc/foreman/client_key.pem env:FOREMAN_SSL_KEY | the corresponding private key aliases: ssl_key
url - / required | Default: "http://localhost:3000" | ini entries: [callback_foreman] url = http://localhost:3000 env:FOREMAN_URL | URL to the Foreman server
verify_certs - | Default: 1 | ini entries: [callback_foreman] verify_certs = 1 env:FOREMAN_SSL_VERIFY | Toggle to decide whether to verify the Foreman certificate. It can be set to '1' to verify SSL certificates using the installed CAs or to a path pointing to a CA bundle. Set to '0' to disable certificate checking.

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]
- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.